## ladvd 0.9.2

=== debian/changelog ===
ladvd (0.9.2-2) unstable; urgency=low

  * Disable tests during build. Closes: #650670
  * Add gcc 4.6 fixes. Closes: #625363

 -- Sten Spans <sten@blinkenlights.nl>  Thu, 22 Dec 2011 12:07:36 +0200

ladvd (0.9.2-1.1) unstable; urgency=low

  * Non maintainer upload.
  * Build with -Wno-error=unused-but-set-variable. Closes: #625363.

 -- Matthias Klose <doko@debian.org>  Sun, 04 Sep 2011 02:17:51 +0200

ladvd (0.9.2-1) unstable; urgency=low

  * Initial release (Closes: #572336)

 -- Sten Spans <sten@blinkenlights.nl>  Mon, 27 Sep 2010 10:44:36 +0200
