=== debian/control ===
Source: ladvd
Section: net
Priority: extra
Maintainer: Sten Spans <sten@blinkenlights.nl>
Build-Depends: debhelper (>= 5), autotools-dev, libcap-ng-dev | libcap-dev, libevent-dev, libpci-dev | pciutils-dev, check, pkg-config, lsb-base
Standards-Version: 3.9.1

Package: ladvd
Architecture: any
Depends: adduser, lsb-base, pciutils, ${shlibs:Depends}, ${misc:Depends}
Suggests: lsb-release
Description: minimal LLDP/CDP sender
 ladvd sends link layer advertisements on all available interfaces.
 This makes connected hosts visible on managed switches. By default it
 will run as a privilege-separated daemon.
