## ladvd 1.1.0

=== debian/changelog ===
ladvd (1.1.0-1) unstable; urgency=medium

  * New upstream release.
  * New maintainer, not anymore a native package.

 -- Marco d'Itri <md@linux.it>  Fri, 20 Mar 2015 15:23:54 +0100

ladvd (1.0.4) unstable; urgency=low

  * New upstream release

 -- Sten Spans <sten@blinkenlights.nl>  Sat, 18 Feb 2012 16:37:56 +0100

ladvd (1.0.3) unstable; urgency=low

  * New upstream release

 -- Sten Spans <sten@blinkenlights.nl>  Sun, 12 Feb 2012 22:11:16 +0100

ladvd (1.0.2) unstable; urgency=low

  * New upstream release

 -- Sten Spans <sten@blinkenlights.nl>  Tue, 07 Feb 2012 08:33:09 +0100

ladvd (1.0.1) unstable; urgency=low

  * New upstream release

 -- Sten Spans <sten@blinkenlights.nl>  Mon, 30 Jan 2012 15:22:28 +0100
