=== debian/control ===
Source: ladvd
Section: net
Priority: extra
Maintainer: Marco d'Itri <md@linux.it>
Build-Depends: debhelper (>= 9), dh-systemd,
  autoconf, automake, libtool, pkg-config,
  libbsd-dev (>= 0.6.0),
  libpcap-dev, libcap-ng-dev, libevent-dev, libpci-dev, libmnl-dev, libteam-dev
Standards-Version: 3.9.6.1
Vcs-Git: git://anonscm.debian.org/users/md/ladvd.git
Vcs-Browser: http://anonscm.debian.org/cgit/users/md/ladvd.git

Package: ladvd
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser
Description: LLDP/CDP sender
 ladvd sends link layer advertisements on all available interfaces.
 This makes connected hosts visible on managed switches. By default it
 will run as a privilege-separated daemon.
