## ladvd 1.1.1~pre1

=== debian/changelog ===
ladvd (1.1.1~pre1-2build1) artful; urgency=medium

  * No-change rebuild against libevent-2.1-6

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 31 Jul 2017 02:44:49 +0000

ladvd (1.1.1~pre1-2) unstable; urgency=medium

  * Add patch no_werror: do not use -Werror. (Closes: #808499)

 -- Marco d'Itri <md@linux.it>  Sun, 27 Dec 2015 14:41:24 +0100

ladvd (1.1.1~pre1-1) unstable; urgency=medium

  * New upstream snapshot. Fixes:
    + AC_CC_STACK_PROTECTOR check on hppa. (Closes: #780891)
  * Added a Homepage field to debian/control. (Closes: #787475)

 -- Marco d'Itri <md@linux.it>  Sat, 01 Aug 2015 15:53:26 +0200
