=== debian/control ===
--- 
+++ 
@@ -1,12 +1,14 @@
 Source: ladvd
 Section: net
 Priority: extra
-Maintainer: Marco d'Itri <md@linux.it>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Marco d'Itri <md@linux.it>
 Build-Depends: debhelper (>= 9), dh-systemd,
   autoconf, automake, libtool, pkg-config,
   libbsd-dev (>= 0.6.0),
   libpcap-dev, libcap-ng-dev, libevent-dev, libpci-dev, libmnl-dev, libteam-dev
 Standards-Version: 3.9.6.1
+Homepage: https://github.com/sspans/ladvd/
 Vcs-Git: git://anonscm.debian.org/users/md/ladvd.git
 Vcs-Browser: http://anonscm.debian.org/cgit/users/md/ladvd.git
