=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/ladvd-$1\.tar\.gz/ \
  https://github.com/sspans/ladvd/tags .*/v?(\d\S*)\.tar\.gz
