## ladvd 1.1.2

=== debian/changelog ===
ladvd (1.1.2-3) unstable; urgency=medium

  * QA upload.
  * Remove outdated Vcs control fields.

  [ Helmut Grohne ]
  * Defer location of systemd unit to systemd.pc. (Closes: #1054014)

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 25 Nov 2023 14:13:46 +0100

ladvd (1.1.2-2) unstable; urgency=medium

  * QA upload.
  * Set Debian QA as maintainer. See #986334
  * Fix ftbfs. (Closes: #994677)
  * Protect against future vis prototype variant switch,
    (Closes: #979662)
  * Add upstream/metadata
  * d/control:
    - Bump debhelper to 13.
    - Update Standards-Version to 4.6.1
  * d/rules:
    -  use dh_installsystemd instead of dh_systemd_enable

 -- Bo YU <tsu.yubo@gmail.com>  Sun, 23 Oct 2022 14:10:08 +0800

ladvd (1.1.2-1) unstable; urgency=medium

  * New upstream release. Fixes:
    - a segfault on startup on some systems. (Closes: #890051)
  * Depend on pciutils. (Closes: #900897)

 -- Marco d'Itri <md@linux.it>  Mon, 16 Jul 2018 00:26:03 +0200
