=== debian/control ===
Source: ladvd
Section: net
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13),
  autoconf, automake, libtool, pkg-config,
  libbsd-dev (>= 0.6.0),
  libpcap-dev, libcap-ng-dev, libevent-dev, libpci-dev, libmnl-dev, libteam-dev,
  systemd-dev,
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://github.com/sspans/ladvd/

Package: ladvd
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, pciutils
Description: LLDP/CDP sender
 ladvd sends link layer advertisements on all available interfaces.
 This makes connected hosts visible on managed switches. By default it
 will run as a privilege-separated daemon.
